Bug 1592410 - [pv] Drop requirements for 'initscripts' from specfile
Summary: [pv] Drop requirements for 'initscripts' from specfile
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pv
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1592330
TreeView+ depends on / blocked
 
Reported: 2018-06-18 13:34 UTC by David Kaspar [Dee'Kej]
Modified: 2019-03-18 09:59 UTC (History)
2 users (show)

Fixed In Version: pv-1.6.6-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-18 09:59:11 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2018-06-18 13:34:33 UTC
Hello!

Description of problem:
It appears your package depend on 'initscrits' package for some reason. However, most of the initscripts' dependants are no longer valid.

I hereby request you check your package/specfile, and either:
 * drop the initscripts dependancy and close this BZ, or
 * provide a justification in a comment for keeping the dependancy (without closing this BZ)

----------------------

NOTE: In case you are depending on initscripts because of networking scripts, then you will need to update your specfile to depend directly on new package 'network-scripts' (instead of 'initscripts').

If this is the case, please let us know in the comments and do not close the BZ  yet.

Additional info:
The requested change here is valid for Rawhide (F29) only. Do not backport these changes into F28 or F27, because it would break things.

Thank you for your co-operation! :)

 -- Dee'Kej --

Comment 1 Jan Kurik 2018-08-14 10:53:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Orion Poplawski 2019-03-15 22:01:57 UTC
One of the tests calls usleep, but it falls back to sleep so the BR can be removed.

https://src.fedoraproject.org/rpms/pv/pull-request/1

Comment 3 Jakub Hrozek 2019-03-18 09:59:11 UTC
Thank you for the patch.


Note You need to log in before you can comment on or make changes to this bug.